package com.icontrols.bridge.common;

public class SERVER_INFO {
	// 월패드에서 수신되는 데이터를 처리 하기 위한 소켓 포트
	public static final int WalladReceivePort = 8098;
	
	public enum SERVICE_LIST{
		KAKAO	("kakao", 	"10.0.1.1", 2222),
		GOOGLE	("google", 	"10.0.1.1", 2223),
		KT		("kt", 		"10.0.1.1", 2224),
		LGUPLUS	("UPLUS", 	"10.0.1.1", 2225);
		
		private String serviceName;
		private String address;
		private int port;
		
		
		private SERVICE_LIST(String serviceName, String address, int port) {
			this.serviceName = serviceName;
			this.address = address;
			this.port = port;
		}


		public String getServiceName() {
			return serviceName;
		}


		public void setServiceName(String serviceName) {
			this.serviceName = serviceName;
		}


		public String getAddress() {
			return address;
		}


		public void setAddress(String address) {
			this.address = address;
		}


		public int getPort() {
			return port;
		}


		public void setPort(int port) {
			this.port = port;
		}
		
	}
}
